#
# Cookbook:: pf_chef_app_dare
# Recipe:: web_prod
#
# Copyright:: 2021, PubFactory, All Rights Reserved.

client_name = 'dare'
site_name = 'dare'
site_type = 'web'
site_env  = 'prod'
service_name = "#{site_name}-#{site_type}-live"
service_dir = "/var/lib/#{service_name}"
staticfiles_dir = "/proj/staticfiles/#{site_name}"
auth_token = node['github_token']

pubfactory_web service_name do
  http_port 8099
  https_port 8462
  xmx '3G'
  elastic_apm_app_name 'dare-web-prod'
  tomcat_version '7.0.108'
  max_https_threads 100
  verify false
end

pubfactory_atacama service_name

link "#{service_dir}/shared/classes/config-app.properties" do
  action :delete
  ignore_failure true
end
remote_file "#{service_dir}/shared/classes/config-app.properties" do
  source "https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/#{client_name}/#{site_name}/#{site_env}/#{site_type}/config-app.properties"
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => "token #{auth_token}")
  action :create
end

directory staticfiles_dir

link "#{service_dir}/webapps/staticfiles" do
  to staticfiles_dir
end

[
  "#{service_dir}/.sass-cache",
  "#{service_dir}/null",
].each do |dir|
  directory dir do
    owner 'pubfactory'
    group 'pubfactory'
    mode '0755'
  end
end
